TypeScript
import { Configuration, BrandsApi } from "@zippendo/sdk"
const api = new BrandsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.getBrandLogo({ orgId: "...", brandId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.BrandsApi(client).get_brand_logo("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\BrandsApi(new GuzzleHttp\Client(), $config);
$result = $api->getBrandLogo("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.BrandsAPI.GetBrandLogo(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::BrandsApi.new.get_brand_logo("...", "...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/brands/{brandId}/logo \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/brands/{brandId}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/brands/{brandId}/logo")
.header("Authorization", "Bearer <token>")
.asString();"<string>"{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Brands
Get brand logo
Streams the brand’s logo bytes. This is the URL returned as the brand’s logoUrl.
GET
/
orgs
/
{orgId}
/
brands
/
{brandId}
/
logo
TypeScript
import { Configuration, BrandsApi } from "@zippendo/sdk"
const api = new BrandsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.getBrandLogo({ orgId: "...", brandId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.BrandsApi(client).get_brand_logo("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\BrandsApi(new GuzzleHttp\Client(), $config);
$result = $api->getBrandLogo("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.BrandsAPI.GetBrandLogo(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::BrandsApi.new.get_brand_logo("...", "...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/brands/{brandId}/logo \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/brands/{brandId}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/brands/{brandId}/logo")
.header("Authorization", "Bearer <token>")
.asString();"<string>"{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Was this page helpful?
⌘I